@(title:String, user: XucUser, hostAndPort: String)(implicit lang: Lang)

@frame(user.ctiUsername, user.ctiPassword, title) {
<body>
    @callbackPopup()
    <div class="navbar navbar-fixed-top navbar-inverse navbar-custom">
      <div class="container">
          <div class="head-icon-box">
              <img class="head-icon" src="@routes.Assets.at("images/head-icon.svg")">
          </div>
          <div class="navbar-header">
              <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                  <span class="sr-only">Toggle navigation</span><span class="icon-bar"></span><span class="icon-bar"></span><span class="icon-bar"></span>
              </button>
          </div>
          @navbar(user,"XiVO")
      </div>
    </div>
    <div class="container">
        <div class="row show-grid col-md-7">
            @queuepanel()
            @agentscallbackspanel()
        </div>
        <div class="row show-grid col-md-5">
            <div ng-show="showSearch" ng-controller="ContactsPresentation">
                @panel(
                    12,
                    Html(Messages("title.contacts") + """<a href="#">
                                                            <span class="pull-right" ng-click="showSearch = !showSearch" data-effect="remove">
                                                                <i class="fa fa-times"></i>
                                                            </span>
                                                        </a>"""),
                    "show") { @contacts() }
            </div>

            <div ng-controller="Sheet" ng-show="showSheet">
                @panel(12,Html(Messages("agent.callDetails")),"{{show}}") {
                    <form class="form-horizontal" role="form">
                        <div class="form-group" ng-repeat='field in fields' >
                            <label class="col-xs-4 control-label">{{field.name}}</label>
                            <div class="col-xs-8">
                                <input class="form-control" placeholder="Email" value="{{field.value}}" disabled>
                            </div>
                        </div>
                    </form>
                }
            </div>
        </div>
    </div>
    <div id="footer" class="span12">
        <p class="pull-right">
            <img src="@routes.Assets.at("images/Xivo.png")" height="15" width="33"> by <a href="http://avencall.com">Avencall</a>
            .&nbsp;&nbsp;&nbsp;&nbsp;
        </p>
    </div>
    <script>
     $(function(){
             initCti("@user.ctiUsername", "@Html(user.ctiPassword)", "@user.phoneNumber.getOrElse(0)", "@hostAndPort");
     });
    </script>
    <script src="@routes.Assets.at("javascripts/services/xuc_services.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/agent.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/callback.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/callAction.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/contactRequest.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/contactsPresentation.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/queue.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/queueView.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/controllers/sheet.controller.js")" type="text/javascript"></script>
    <script src="@routes.Assets.at("javascripts/pages/agent/services/AgentPreferences.factory.js")" type="text/javascript"></script>
</body>
} 
